Package Details: usb-creator 0.3.2-1

Git Clone URL: https://aur.archlinux.org/usb-creator.git (read-only)
Package Base: usb-creator
Description: Create bootable USB from a LiveCD or disc image of Ubuntu
Upstream URL: https://launchpad.net/usb-creator
Licenses: GPL3
Submitter: menollo
Maintainer: carstene1ns
Last Packager: carstene1ns
Votes: 349
Popularity: 5.808848
First Submitted: 2008-11-11 00:47
Last Updated: 2016-04-10 19:49

Latest Comments

KinG-InFeT commented on 2016-01-22 10:34

┌─[benzi] @ [benzi-pc]
└─[(~)] > packer -S usb-creator
warning: usb-creator is flagged out of date

AUR (1): usb-creator

Proceed with installation? [Y/n] y
Installing AUR package: usb-creator
Edit usb-creator PKGBUILD? [y/N] n
Edit usb-creator.install? [y/N] n
==> Creazione del pacchetto: usb-creator 0.2.67-2 (ven 22 gen 2016, 12.32.17, CET)
==> Controllo delle dipendenze durante l'avvio in corso...
==> Dipendenze mancanti:
-> python-debian
==> Controllo delle dipendenze durante la compilazione in corso...
==> Dipendenze mancanti:
-> python-distutils-extra
==> ERRORE: Impossibile risolvere tutte le dipendenze.
The build failed.

dynaMIX commented on 2016-01-12 15:24

Strange, I had to manually install python-debian although it is correctly listed as a dependency.

xpt commented on 2015-10-19 04:34

I have a issue in compilation:

/usr/local/bin/python -O /tmp/tmp0at6pfbw.py
unable to execute '/usr/local/bin/python': Permission denied
error: command '/usr/local/bin/python' failed with exit status 1
==> ERROR: Se produjo un fallo en package_python-debian().

carstene1ns commented on 2015-05-25 19:53

Updated to 0.2.67 - http://git.io/vTjWd
The KDE/QT frontend has been updated to use QT5.
I have used a less aggressive patch to pass the included Ubuntu version check now.
This should allow us to write images prior to 10.10 now, however, I have not tested it.
Btw. they have added the functionality to use the bundled syslinux of the iso image to write the bootloader on the usb drive.
While this might work most of the times, i can think of issues when you try to use it with different architectures
(for example writing an amd64 image under i686). Because this takes precedence, a locally installed version is not used.

carstene1ns commented on 2014-09-21 17:49

@tomx3: it already optdepends on 'kdebindings-python' for the kde frontend, which depends on 'python-pyqt4', which depends on 'python-sip'. So it should not be needed...

tomx3 commented on 2014-09-21 15:10

Please add python-sip as dependency and python-pyqt4 as optdenpendency für qt4-frontend.

tomx3 commented on 2014-09-21 15:09

Please add python-sip as dependency and python-pyqt4 as dependency for qt-frondend.

carstene1ns commented on 2014-08-30 00:00

@karhu: It seems your python package is incomplete[1]. It is better to use explicit versions where possible, so code is more portable.

@kas21: Well, this is interesting. First I thought this came from the update to syslinux 6 in Ubuntu and the corresponding change in usb-creator[2], but the path was also wrong before. After further investigating, it seems like the path has been wrong for over a year now[3] and nobody cared... Anyways, thanks to you this is now fixed!

[1]: https://paste.xinu.at/63aHJ/
[2]: http://bazaar.launchpad.net/~usb-creator-hackers/usb-creator/trunk/revision/444#bin/usb-creator-helper
[3]: https://projects.archlinux.org/svntogit/packages.git/commit/trunk?h=packages/syslinux&id=805b9bae0b68eb80e67a211c1b3a3936ae19aa44

kas21 commented on 2014-08-29 19:11

Creating a disk fails for me. It is trying to find 'mbr.bin' in '/usr/lib/syslinux/', however it is not there. On my setup the 'syslinux' folder contains three sub folders (bios, efi32, efi64) and 'mbr.bin' is in the 'bios' folder.

usbcreator.misc.USBCreatorProcessException: dd: failed to open '/usr/lib/syslinux/mbr.bin': No such file or directory

karhu commented on 2014-08-29 13:09

Hi
In pkgbuild I got an error on line 23 : command not found.

In fact is "python3" the unknown command.
I changed with "python2" and it worked.
But it was a mistake, I forgot that I have the last version !
In Python3 the command is just "python".

carstene1ns commented on 2014-08-25 09:57

Thanks! I included 'parted' and updated the package.

SeeSchloss commented on 2014-08-25 08:20

You should add parted to the dependencies.

carstene1ns commented on 2014-07-23 16:27

Package cleaned up and updated.
It is based on twa022's changes and works for me with the gtk3 frontend.

@adaptee: I am ready to hand it back to you, whenever you come back...

carstene1ns commented on 2014-07-21 21:16

I just filed a request, as the current maintainer does not seem to fix it.

xantares commented on 2014-05-29 20:21

totally broken, upload by twa022 seems ok tough, but makepkg throw errs about missing md5sums though

SZoPer commented on 2014-04-28 05:41

Does not work - "An error occurred while talking to the udisks service."

sacarde commented on 2014-02-08 09:07

when I run:

usb-creator-gtk --version

ERROR:root:Could not find any typelib for Unity
WARNING:root:can not import unity GI cannot import name Unity
0.2.23
Segmentation error (core dumped)


can you help me?

sacarde commented on 2014-02-06 10:19

download from pastebin I receive err:

PKGBUILD contains CRLF characters and cannot be sourced

sacarde commented on 2014-02-06 09:42

I solve CRLF problem

but I have this :

...
ERROR: 0002-remove-blackcode-using-lsb-release-and-python-debian.patch was not found in the build directory and is not a URL

sacarde commented on 2014-02-04 10:16

try installing 0.2.53 I have error:


makepkg
==> ERROR: PKGBUILD contains CRLF characters and cannot be sourced.

twa022 commented on 2014-01-30 03:02

Has been rewritten in python3 with udisks2 interface.
Working PKGBUILD (tested GTK only): http://pastebin.com/TLWL3rZz

dracorp commented on 2013-12-08 08:01

Add kdebindings-python2 to the depends.

johnny.ha commented on 2013-11-14 20:21

Problem:

An error occurred while talking to the udisks service.

DEBUG:root:UDisksBackend
ERROR:root:DBus exception:
Traceback (most recent call last):
File "/usr/bin/usb-creator-gtk", line 71, in <module>
show_all=options.show_all)
File "/usr/lib/python2.7/site-packages/usbcreator/backends/udisks/backend.py", line 30, in __init__
'/com/ubuntu/USBCreator')
File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 241, in get_object
follow_name_owner_changes=follow_name_owner_changes)
File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 248, in __init__
self._named_service = conn.activate_name_owner(bus_name)
File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 180, in activate_name_owner
self.start_service_by_name(bus_name)
File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 278, in start_service_by_name
'su', (bus_name, flags)))
File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
message, timeout)
DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1

sacarde commented on 2013-11-02 16:34

same error here (arch64)

nov 02 17:21:00 File "/usr/share/usb-creator/usb-creator-helper", line 18, in <module>
nov 02 17:21:00 arch64 dbus-daemon[282]: from gi.repository import GObject, GLib
nov 02 17:21:00 arch64 dbus-daemon[282]: ImportError: No module named 'gi'


thank you

excieve commented on 2013-10-24 18:47

Same error as maximmuzz and z0id here.

z0id commented on 2013-10-17 13:22

I get the following error when running: An error occurred while talking to the udisks service.
Any ideas as to what the problem might be? Udisks and udisks2 are installed.

maximmuzz commented on 2013-09-06 07:39

[maxim@arch ~]$ usb-creator-gtk
ERROR:root:Could not find any typelib for Unity
WARNING:root:can not import unity GI cannot import name Unity
DEBUG:root:UDisksBackend
ERROR:root:DBus exception:
Traceback (most recent call last):
File "/usr/bin/usb-creator-gtk", line 71, in <module>
show_all=options.show_all)
File "/usr/lib/python2.7/site-packages/usbcreator/backends/udisks/backend.py", line 30, in __init__
'/com/ubuntu/USBCreator')
File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 241, in get_object
follow_name_owner_changes=follow_name_owner_changes)
File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 248, in __init__
self._named_service = conn.activate_name_owner(bus_name)
File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 180, in activate_name_owner
self.start_service_by_name(bus_name)
File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 278, in start_service_by_name
'su', (bus_name, flags)))
File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
message, timeout)
DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1

malhobayyeb commented on 2013-04-03 13:14

How to install this package?
There is no .xz file after makepkg -S

Is there a different way to isntall it?

I tried ./usb-creator.install but nothing appeared!!

simon04 commented on 2012-11-04 14:45

Please add python2-gobject as dependency.

simon04 commented on 2012-11-04 14:45

Please add python2-gobject ad dependency.

malevolent commented on 2012-08-31 11:45

version 0.2.39-2 with this PKGBUILD
http://is.gd/kdtH6i

dot commented on 2012-06-28 00:37

usb-creator 0.2.39 is out! Please update

m3thodic commented on 2012-06-14 00:21

Just a FYI, running e17 I had to use sudo (without any args) to run this, and I also had to manually modprobe the loop kernel module... everything went well after that.

milasch commented on 2012-06-13 15:19

@adaptee: Yeah, all is fine now, apparently. I don't know why it didn't install udisks for me... Or I don't know if I removed udisks...

adaptee commented on 2012-06-07 23:32

@milasch : it works well for me under gnome. I guess some dbus service is not working correctly on your system.

milasch commented on 2012-06-07 15:03

Could you help, how can I overcome this?

I use gnome 3.4.2.

ERROR:root:Could not find any typelib for Unity
WARNING:root:can not import unity GI cannot import name Unity
DEBUG:root:UDisksBackend
ERROR:root:DBus exception:
Traceback (most recent call last):
File "/usr/bin/usb-creator-gtk", line 61, in <module>
show_all=options.show_all)
File "/usr/lib/python2.7/site-packages/usbcreator/backends/udisks/backend.py", line 30, in __init__
'/com/ubuntu/USBCreator')
File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 241, in get_object
follow_name_owner_changes=follow_name_owner_changes)
File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 248, in __init__
self._named_service = conn.activate_name_owner(bus_name)
File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 180, in activate_name_owner
self.start_service_by_name(bus_name)
File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 278, in start_service_by_name
'su', (bus_name, flags)))
File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
message, timeout)
DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1

adaptee commented on 2012-06-05 12:46

Well, Let me repeat it again: I will only follow the version shipped in the official release of Ubuntu(12.04 at the moment).

As for the building failure, looks like python-distuils-extra has been moved into [community] and renamed. It is easy to fix.

holyArch commented on 2012-06-05 08:52

0.2.39 is out. Current version is not building for me:

-> Extracting usb-creator_0.2.38.tar.gz with bsdtar
==> Entering fakeroot environment...
==> Starting build()...
patching file bin/usb-creator-helper
Hunk #1 succeeded at 186 (offset 66 lines).
patching file usbcreator/install.py
Traceback (most recent call last):
File "setup.py", line 2, in <module>
from DistUtilsExtra.command import *
ImportError: No module named DistUtilsExtra.command
==> ERROR: A failure occurred in build().
Aborting...

holyArch commented on 2012-05-02 00:09

0.2.38 is out.

jumperpunk commented on 2012-04-19 19:50

Found my problem. I had python-gobject installed, not python2-gobject.

jumperpunk commented on 2012-04-18 20:03

I'm getting the same errors for the GTK frontend as indianahorst. I do have all the dependencies installed (including the optional dependencies for GTK). I did not try the KDE frontend. I am running fluxbox, NOT gnome. I'm guessing that we are missing another dependency?

QuimaxW commented on 2012-03-24 16:27

I received the same error, however, per the instructions after install, installing these: pygtk python2-gobject took care of it. :)

adaptee commented on 2012-03-18 17:39

@indianahorst

Did you read the information about optional dependenies and install the ones you needed?

indianahorst commented on 2012-03-18 17:07


Doesn't work:

$ usb-creator-gtk
Traceback (most recent call last):
File "/usr/bin/usb-creator-gtk", line 25, in <module>
from usbcreator.frontends.gtk import GtkFrontend
File "/usr/lib/python2.7/site-packages/usbcreator/frontends/gtk/__init__.py", line 1, in <module>
from frontend import GtkFrontend
File "/usr/lib/python2.7/site-packages/usbcreator/frontends/gtk/frontend.py", line 20, in <module>
from gi.repository import GObject
ImportError: No module named gi.repository

usb-creator-kde doesn't work too:
$ usb-creator-kde
Traceback (most recent call last):
File "/usr/bin/usb-creator-kde", line 24, in <module>
from PyKDE4.kdecore import KCmdLineArgs, KCmdLineOptions, i18n, ki18n
ImportError: No module named PyKDE4.kdecore

Could you please fix this? Thank you!

Anonymous comment on 2012-02-11 19:19

When trying to use this on the image "ubuntu-11.10-desktop-i386.iso", I got the following error...

USBCreatorProcessException: mount: Could not find any loop device. Maybe this kernel does not know
about the loop device? (If so, recompile or `modprobe loop'.)

"modprobe loop" gave me the following error...

libkmod: index_mm_open: No such file or directory
libkmod: kmod_search_moddep: could not open moddep file '/lib/modules/3.2.4-1-ARCH/modules.dep.bin'

Anonymous comment on 2012-01-02 16:57

On my device the link
"https://launchpad.net/ubuntu/+archive/primary/+files/usb-creator_${pkgver}.tar.gz"
ist temporary down.
I have used:
"https://launchpad.net/ubuntu/oneiric/+source/usb-creator/0.2.34/+files/usb-creator_${pkgver}.tar.gz"
in the PKGBUILD file.

unhammer commented on 2011-12-13 08:39

with usb-creator-kde I repeatedly got

couldn't create image from ""
Could not resolve property : linearGradient5167
Traceback (most recent call last):
File "/usr/lib/python2.7/site-packages/usbcreator/frontends/kde/frontend.py", line 523, in format_dest_clicked
self.__backend.format(udi)
File "/usr/lib/python2.7/site-packages/usbcreator/backends/udisks/backend.py", line 296, in format
self.formatting.append(device)
AttributeError: 'NoneType' object has no attribute 'append'

on trying to format, while usb-creator-gtk (though ugly in my KDE system) worked fine :-) hope this helps anyone with similar troubles.

adaptee commented on 2011-11-07 08:52

@hadrons123

This package is supposed to work with Ubuntu (and Debian?) ISO. For Fedora, you may want to try this package: https://aur.archlinux.org/packages.php?ID=29495

hadrons123 commented on 2011-11-07 03:41

i am not able to add iso to the 'other' options of the source image.how to do it?
i 've installed all the dependencies.

i tried a fedora disk image, it is supposed to work on any iso, isnt it?
or is this software exclusive for ubuntu only?

hadrons123 commented on 2011-11-07 03:38

i am not able to add iso to the 'other' options of the source image.how to do it?
i 've installed all the dependencies.

i tried a fedora disk image, it is supposed to work on any iso, isnt it?
or is this software exclusive for ubuntu only?

adaptee commented on 2011-10-29 18:58

@Pingwinski

'patch' is part of the base-devel group, which is supposed to be already installed by every user of AUR.
https://wiki.archlinux.org/index.php/AUR_User_Guidelines

Anonymous comment on 2011-10-29 18:39

patch from [core] is required to build.

adaptee commented on 2011-10-28 11:46

@utdemir

You are right. Thanks for you notification. PKGBUILD updated.

utdemir commented on 2011-10-28 11:19

I failed to run gtk frontend without "python2-gobject". You should probably add it as a dependency(I don't know if the kde frontent works or not, if it works, as an optional dependency could be better.).

adaptee commented on 2011-08-12 17:18

Please do not mark it as out-of-date. I would like to keep up with the version in official Ubuntu release, not alpha/beta release.

adaptee commented on 2011-08-03 15:54

running as a normal user with sudo permission works for me.

Anonymous comment on 2011-08-03 04:07

Should I run it as root user? Also I have this error:

DEBUG:root:Writing /media/C0D2-8D50/preseed/cli.seed
DEBUG:root:Writing /media/C0D2-8D50/preseed/ltsp.seed
DEBUG:root:Writing /media/C0D2-8D50/preseed/ubuntu.seed
DEBUG:root:Writing /media/C0D2-8D50/.disk/base_installable
DEBUG:root:Writing /media/C0D2-8D50/.disk/casper-uuid-generic
DEBUG:root:Writing /media/C0D2-8D50/.disk/cd_type
DEBUG:root:Writing /media/C0D2-8D50/.disk/info
DEBUG:root:Writing /media/C0D2-8D50/.disk/release_notes_url
DEBUG:root:install_efi
DEBUG:root:install_bootloader
CRITICAL:root:Failed to install the bootloader.

adaptee commented on 2011-06-26 12:09

@kurisutian

I really have no idea about your problem. This is a python program and the only part that may be related with perl is python-distutils-extra(having perl-xml-parser as indirect dependency). So I can only advise you to make sure you system is up-to-date before installing this package.

Anonymous comment on 2011-06-24 12:10

I can't compile it.... I always get the following error:

/usr/lib/perl5/vendor_perl/auto/XML/Parser/Expat/Expat.so: undefined symbol: Perl_Gthr_key_ptr


Is there any known solution to this? Thanks!

adaptee commented on 2011-04-29 13:47

update to 0.2.28, the version in Ubuntu 11.04(Natty)

Now the gtk frontend only needs pygtk, not gnome-python anymore.

adaptee commented on 2011-04-19 11:01

@hw-tph

gnome-python is one of the optional dependencies. Not everyone use its gtk/gnome frontend, so putting gnome-python into depends() may not be a good idea.

Anonymous comment on 2011-04-19 09:08

This package requires gnome-python as well. Add it to your depends() section.

Liquen commented on 2011-01-03 23:48

@adaptee

It's now working perfectly. I tried with ubuntu-8.10-desktop-i386.iso and used the usb-creator-gtk interface. Everything went fine.

Thank you (and every past packager) again!

adaptee commented on 2011-01-03 09:06

@Liquen

Thanks for your feedback.

I have updated the PKGBUILD, adding 'dosfstools' as dependency and two dirty patches to fix the problem of installing.

This package works for me now. I just used it to install kubuntu-10.10-desktop.iso ontoa USB stick and it boot up and ran successfully.


Liquen commented on 2011-01-03 00:42

Hi again, and thank you for your help.

Program is now running. It copies all the files normally. But in the end, it fails to install the bootloader ("Failed to install the bootloader"). Terminal says: http://aur.pastebin.com/LFfjbS29.

Note the following lines:

File "/usr/share/usb-creator/usb-creator-helper", line 123, in InstallBootloader
popen(['/sbin/parted', parent, 'set', str(num), 'boot', 'on'])

The program is trying to reach parted in "/sbin/parted". But in my system, it is located in:

[liquen@liquen-laptop ~]$ whereis parted
parted: /usr/sbin/parted /usr/include/parted /usr/share/man/man8/parted.8.g

Does anyone know what is the default procedure when something like this happens? To "sed" the source file?

Liquen commented on 2011-01-03 00:41

Hi again, and thank you for your help.

Program is now running. It copies all the files normally. But in the end, it fails to install the bootloader ("Failed to install the bootloader"). Terminal says: http://aur.pastebin.com/LFfjbS29.

Note the following line: File "/usr/share/usb-creator/usb-creator-helper", line 123, in InstallBootloader

The program is trying to reach parted in "/sbin/parted". But in my system, it is located in:

[liquen@liquen-laptop ~]$ whereis parted
parted: /usr/sbin/parted /usr/include/parted /usr/share/man/man8/parted.8.g

Does anyone know what is the default procedure when something like this happens? To "sed" the source file?

adaptee commented on 2011-01-02 08:38

@Liquen

Thanks for you advice, I have move those dependencies for GNOME/KDE frontend into 'optdepends'

Maybe this package should be split into 3 packages, just as it is in ubuntu.....

Liquen commented on 2011-01-02 07:02

Hi there. The package is asking for installation of a lot of KDE-related deps. Maybe "kdebindings-python" should be an optional dependency?

adaptee commented on 2011-01-02 04:19

Hi, I have just adopt this package and update version to 0.2.25

The PKGBUILD is still a little messy and dirty. I am not sure this package works properly now, but at least it can startup.....


Kosava commented on 2011-01-01 12:46

I dont know how to fix that i will disown package, if sombody know adopt package...

infested999 commented on 2010-12-16 01:02

I get this error window:

http://imgur.com/aY83z

Any ideas?

Anonymous comment on 2010-10-26 00:15

The call to 'python' in the PKGBUILD file should be changed to 'python2'. I changed this, but the program still doesn't work for me. I'm guessing it's something related to the /usr/bin/python is not python3 thing.

PKGBUILD: http://aur.pastebin.com/s2bKz9Ux

viniavila commented on 2010-10-20 13:36

I have problems with this pkg when arch upgraded python and python2 to v2.7. Anyone have this?

Anonymous comment on 2010-10-19 14:18

http://aur.pastebin.com/sYaNMfyC

pkgbuild for 0.2.25

i have a problem with this, it fails to install the bootloader. tried with ubuntu 10.10. my debugging skills are down.

the sed commands for python2 could use some improvements too ;)

capoeira commented on 2010-08-27 17:41

sh: xgettext: comando não encontrado
*** GNU xgettext is not found on this system!
*** Without it, intltool-update can not extract strings.
msgfmt po/pl.po -o build/mo/pl/LC_MESSAGES/usbcreator.mo
unable to execute msgfmt: No such file or directory
error: command 'msgfmt' failed with exit status 1

intgr commented on 2010-08-25 09:12

This package should also depend on dosfstools, because it needs mkfs.vfat

Anonymous comment on 2010-07-07 07:58

This package needs to depend on "extra/mtools".

XavierCLL commented on 2010-06-02 16:40

hey @menollo test it and work!, thanks

XavierCLL commented on 2010-06-02 16:40

hey @menollo test it and work!, thanks

menollo commented on 2010-05-26 19:41

Applied patch in packages.. this should fix error "Failed to install the bootloader."
Please let me know if you have troubles..

menollo commented on 2010-05-21 19:51

Hmm, I've also problems with the applications myself.

Try to comment out line 104 in /usr/share/usb-creator/usb-creator-helper
(popen(['parted', parent, 'set', str(num), 'boot', 'on'])

it worked for me, but the usb drive may not be bootable..

menollo commented on 2010-05-21 19:07

Hmm, I've also problems with the applications myself.

Try to change line 105 in /usr/share/usb-creator/usb-creator-helper
from except USBCreatorProcessException: in except:
(it worked for me, but the usb drive may not bootable)

XavierCLL commented on 2010-05-21 17:35

This app don't work for me, error show when click create init disk is: Failed to install the bootloader.
you tested this applications?

evilgnome commented on 2010-05-15 01:49

This wouldn't work for me without dosfstools installed.

menollo commented on 2010-04-20 23:47

Ok, ubuntu has released a new version of the usb-creator: 0.2.22.
The beta2 directory is renamed into trunk. I think this will be the final release for lucid.

I've updated my test package, and will soon update the AUR version..

You can find my test package here:
http://archlinux.menollo.nl/usb-creator/

Anonymous comment on 2010-04-08 17:43

not run at the new udisks.
said: "This program needs DeviceKit-disks running in order toproperly function."

menollo commented on 2010-04-06 10:32

The package isn't out-of-date since lucid isn't stable.
But if you want try test version for lucid beta, try this:

http://archlinux.menollo.nl/usb-creator/

I have some troubles with the new usb-creator:
It sometimes gives errors about the bootloader (before copying the files).
The logfile says that a file is not found.
(so I think i am missing an dependency, but i haven't figured out wich)

Anonymous comment on 2010-04-03 22:36

I get the following error: "An unhandled exception occurred:
GtkFrontend instance has no attribute 'cancelbutton'"
Seems to be a bugreport filed about this here: https://bugs.launchpad.net/ubuntu/+source/usb-creator/+bug/503808
but this was supposedly fixed in 0.2.21. When using your PKGBUIL I get
$ usb-creator-gtk --version
0.2.8
My best guess is some python incompatibility between Arch version and the ubuntu one (if others can reproduce)